Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002198 [JEDI VCL] 00 JVCL Components minor always 2004-10-07 07:18 2005-08-10 03:36
Reporter ralf.kaiser View Status public  
Assigned To asnepvangers
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002198: TJvCustomComboEdit.SetClipboardCommands (weired code)
Description The method SetClipboardCommands in TJvCustomComboEdit contains this code which makes not much sense (as discussed in the newsgroup) and partially breaks existing programs where ClipboardCommands are set to [].

procedure TJvCustomComboEdit.SetClipboardCommands(const Value: TJvClipboardCommands);
begin
  if ClipboardCommands <> Value then
  begin
    inherited SetClipboardCommands(Value);
    ReadOnly := ClipboardCommands <= [caCopy];
  end;
end;
Additional Information Would be good to change this to:

if ReadOnly then ClipboardCommands := [caCopy];

(or leave the lines out completely)
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005346)
user72
2004-10-08 01:59

I vote for removing it altogether
(0005352)
obones (administrator)
2004-10-08 23:07

Please have a look at the latest CVS version, Fred has provided a fix for this.
(0005471)
asnepvangers (developer)
2004-10-24 04:16

Still weird code.

New implementation:

If the inherited ReadOnly is set, CutToClipBoard & PasteFromClipboard will never occur: the code prevents this. In other words if ReadOnly is true, caCut and caPaste in ClipboardCommands are ignored! They are only active if ReadOnly = false.
 
This behaviour is also more practic if you modify property ReadOnly at runtime:
no need to restore ClipBoardCommands, when you reset ReadOnly.

The SetClipBoardCommands method will be removed from the new JvExVCL & JvExCLX classes.
(0007770)
obones (administrator)
2005-08-10 03:36

This is then assumed to be resolved.

- Issue History
Date Modified Username Field Change
2004-10-07 07:18 ralf.kaiser New Issue
2004-10-08 01:59 user72 Note Added: 0005346
2004-10-08 01:59 user72 Status new => acknowledged
2004-10-08 23:07 obones Note Added: 0005352
2004-10-08 23:07 obones Status acknowledged => feedback
2004-10-09 09:56 obones Status feedback => resolved
2004-10-09 09:56 obones Resolution open => fixed
2004-10-09 09:56 obones Assigned To => obones
2004-10-24 04:16 asnepvangers Status resolved => feedback
2004-10-24 04:16 asnepvangers Resolution fixed => reopened
2004-10-24 04:16 asnepvangers Note Added: 0005471
2004-10-24 04:18 asnepvangers Status feedback => assigned
2004-10-24 04:18 asnepvangers Assigned To obones => asnepvangers
2005-08-10 03:36 obones Status assigned => resolved
2005-08-10 03:36 obones Resolution reopened => fixed
2005-08-10 03:36 obones Note Added: 0007770


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker